Name: libffi
Version: 3.2.1
Release: 3
License: MIT
Summary: libffi
Url: https://sourceware.org/libffi/

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool

# for install command
BuildRequires: coreutils-gnu

Source0: ftp://sourceware.org/pub/libffi/libffi-%{version}.tar.gz

Patch0: libffi-configure.ac.patch
Patch1: libffi-include_ffi.h.in.patch
Patch2: libffi-README.patch
Patch3: libffi-include-path.patch


%description
The libffi library provides a portable, high level programming interface to
various calling conventions. This allows a programmer to call any function
specified by a call interface description at run-time.

FFI stands for Foreign Function Interface. A foreign function interface is the
popular name for the interface that allows code written in one language to call
code written in another language. The libffi library really only provides the
lowest, machine dependent layer of a fully featured foreign function interface.
A layer must exist above libffi that handles type conversions for values passed
between the two languages.

%package -n libffi6
Provides: %{name} = %{version}
Summary: FFI library

%description -n libffi6
Main FFI library


%package devel
Requires: %{name} = %{version}-%{release}
Summary: libffi development files

%description devel
Contains development files and headers to build applications using libffi.

%prep
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build

autoreconf -fi

%configure \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}" \
  --with-aix-soname=svr4 \
  --enable-shared \
  --disable-static \
  --disable-builddir \
  # end

%make_build

%install

%make_install

%files -n libffi6
%defattr(-, qsys, *none)

%{_libdir}/libffi.so.6

%files devel
%defattr(-, qsys, *none)

%{_libdir}/libffi.so

%{_includedir}/ffi.h
%{_includedir}/ffitarget.h

%{_libdir}/pkgconfig/libffi.pc

%{_mandir}/man3/ffi.3*
%{_mandir}/man3/ffi_call.3*
%{_mandir}/man3/ffi_prep_cif.3*
%{_mandir}/man3/ffi_prep_cif_var.3*
%{_infodir}/libffi.info*

%changelog
* Thu Nov 4 2021 Jason Hansen <stymie@us.ibm.com> - 3.2.1
- Intra-package Requires need version and release

* Wed Nov 18 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 3.2.1
- Use brp-rm-libtool-files

* Wed May 27 2020 Kevin Adler <kadler@us.ibm.com> - 3.2.1
- Use generic paths for man and info pages to allow for compression

* Mon Nov 04 2019 Kevin Adler <kadler@us.ibm.com> - 3.2.1
- Use SPDX license identifier
- Use GNU install command

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- Add libffi build requirements
- Add libffi dependency to libff-devel

* Wed Nov 22 2017 - Kevin Adler <kadler@us.ibm.com>
- Update BuildRequires

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- fix 'or' instead of '||' in C macro
- fix description

* Tue Nov 07 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix license
